On this page
runs.events
Read the run's semantic events (JSON page or text/event-stream)
Request
GET /api/v1/runs/{run_id}/events
- MCP:
runs_events - SDK:
client.runs.events(SDK path arguments usepath; MCP usesparams). - Minimum API key role: viewer.
- Idempotency: none.
Use the request schema below. Read IDs from earlier operation results.
Input schema
json
{
"parameters": [
{
"name": "run_id",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid"
}
},
{
"name": "after_sequence",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 0
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"minimum": 1,
"maximum": 500,
"default": 100
}
},
{
"name": "progress",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"live"
]
}
}
],
"requestBody": null
}
Responses
json
{
"200": {
"description": "Read the run's semantic events (JSON page or text/event-stream)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RunsEventsResponse200"
}
},
"text/event-stream": {
"schema": {
"type": "string",
"description": "SSE: id = sequence, event = type, data = SemanticEvent; with progress=live also event = transcript.progress | effect.progress (no id), data = RunProgress"
}
}
}
},
"4XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"5XX": {
"description": "Typed error (ApiError)",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}
Referenced schemas
json
{
"components": {
"schemas": {
"RunsEventsResponse200": {
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SemanticEvent"
}
},
"next_after_sequence": {
"type": "integer",
"minimum": 0,
"nullable": true
}
},
"required": [
"items",
"next_after_sequence"
],
"additionalProperties": false
},
"SemanticEvent": {
"anyOf": [
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.admitted"
]
},
"data": {
"type": "object",
"properties": {
"channel": {
"type": "string",
"enum": [
"cloud",
"phone",
"web"
]
},
"mode": {
"type": "string",
"enum": [
"task",
"chat",
"background",
"outbound",
"inbound"
]
},
"trigger": {
"anyOf": [
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"sip"
]
},
"number_id": {
"type": "string",
"format": "uuid"
},
"call_id_sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"kind",
"number_id",
"call_id_sha256"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"api"
]
},
"idempotency_key_sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"kind",
"idempotency_key_sha256"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"schedule"
]
},
"trigger_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"scheduled_for": {
"type": "string",
"format": "date-time"
}
},
"required": [
"kind",
"trigger_id",
"scheduled_for"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"event"
]
},
"trigger_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"source_event_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"kind",
"trigger_id",
"source_event_id"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"callback"
]
},
"source_run_id": {
"type": "string",
"format": "uuid"
},
"effect_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"kind",
"source_run_id",
"effect_id"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"evaluation"
]
},
"comparison_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"kind",
"comparison_id"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"test"
]
},
"test_run_id": {
"type": "string",
"format": "uuid"
},
"suite_id": {
"type": "string",
"format": "uuid"
},
"case_id": {
"type": "string",
"minLength": 1,
"maxLength": 64,
"pattern": "^[a-z0-9][a-z0-9_-]*$"
},
"trial": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
}
},
"required": [
"kind",
"test_run_id",
"suite_id",
"case_id",
"trial"
],
"additionalProperties": false
}
]
},
"principal": {
"$ref": "#/components/schemas/PrincipalRef"
},
"input_sha256": {
"allOf": [
{
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
],
"nullable": true
}
},
"required": [
"channel",
"mode",
"trigger",
"principal",
"input_sha256"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.state_changed"
]
},
"data": {
"type": "object",
"properties": {
"from": {
"type": "string",
"enum": [
"admitted",
"running",
"ending",
"completed",
"failed",
"cancelled",
"rejected",
"expired"
]
},
"to": {
"type": "string",
"enum": [
"admitted",
"running",
"ending",
"completed",
"failed",
"cancelled",
"rejected",
"expired"
]
},
"phone_from": {
"type": "string",
"enum": [
"admitted",
"preparing",
"awaiting_sip",
"dialing",
"ringing",
"active",
"terminating",
"ended",
"rejected",
"expired",
"setup_failed"
],
"nullable": true
},
"phone_to": {
"type": "string",
"enum": [
"admitted",
"preparing",
"awaiting_sip",
"dialing",
"ringing",
"active",
"terminating",
"ended",
"rejected",
"expired",
"setup_failed"
],
"nullable": true
},
"reason": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
},
"required": [
"from",
"to",
"phone_from",
"phone_to",
"reason"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.attempt_started"
]
},
"data": {
"type": "object",
"properties": {
"attempt_id": {
"type": "string",
"format": "uuid"
},
"attempt_number": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"worker_kind": {
"type": "string",
"enum": [
"voice",
"jobs"
]
},
"worker_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
}
},
"required": [
"attempt_id",
"attempt_number",
"worker_kind",
"worker_version"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.attempt_ended"
]
},
"data": {
"type": "object",
"properties": {
"attempt_id": {
"type": "string",
"format": "uuid"
},
"state": {
"type": "string",
"enum": [
"succeeded",
"failed",
"abandoned"
]
},
"reason": {
"allOf": [
{
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
],
"nullable": true
}
},
"required": [
"attempt_id",
"state",
"reason"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.node_entered"
]
},
"data": {
"type": "object",
"properties": {
"node_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"component_id": {
"allOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 128
}
],
"nullable": true
},
"from_node_id": {
"allOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 128
}
],
"nullable": true
},
"via": {
"type": "string",
"enum": [
"prompt_edge",
"automatic",
"action_result",
"start",
"global",
"flex_task"
]
}
},
"required": [
"node_id",
"component_id",
"from_node_id",
"via"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.message"
]
},
"data": {
"type": "object",
"properties": {
"index": {
"type": "integer",
"minimum": 0
},
"role": {
"type": "string",
"enum": [
"user",
"agent"
]
},
"tokens": {
"allOf": [
{
"type": "integer",
"minimum": 0
}
],
"nullable": true
}
},
"required": [
"index",
"role",
"tokens"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"transcript.updated"
]
},
"data": {
"type": "object",
"properties": {
"segments": {
"type": "integer",
"minimum": 0
},
"complete": {
"type": "boolean"
}
},
"required": [
"segments",
"complete"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"run.ended"
]
},
"data": {
"type": "object",
"properties": {
"outcome": {
"$ref": "#/components/schemas/RunOutcome"
},
"disposition": {
"type": "string",
"minLength": 1,
"maxLength": 128,
"nullable": true
},
"duration_ms": {
"type": "integer",
"minimum": 0
},
"connected_ms": {
"allOf": [
{
"type": "integer",
"minimum": 0
}
],
"nullable": true
}
},
"required": [
"outcome",
"disposition",
"duration_ms",
"connected_ms"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"phone.sip_received"
]
},
"data": {
"type": "object",
"properties": {
"trunk_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
}
},
"required": [
"trunk_id"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"phone.amd_verdict"
]
},
"data": {
"type": "object",
"properties": {
"verdict": {
"type": "string",
"enum": [
"human",
"voicemail",
"ivr",
"unknown"
]
},
"detection_ms": {
"type": "integer",
"minimum": 0
}
},
"required": [
"verdict",
"detection_ms"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"phone.voicemail"
]
},
"data": {
"type": "object",
"properties": {
"outcome": {
"type": "string",
"enum": [
"hung_up",
"left",
"interrupted"
]
}
},
"required": [
"outcome"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"phone.transfer"
]
},
"data": {
"type": "object",
"properties": {
"effect_id": {
"type": "string",
"format": "uuid"
},
"node_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"ordinal": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"phase": {
"type": "string",
"enum": [
"refer_sent",
"refer_accepted",
"confirmed",
"failed",
"uncertain"
]
},
"sip_status": {
"type": "integer",
"nullable": true
}
},
"required": [
"effect_id",
"node_id",
"ordinal",
"phase",
"sip_status"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"action.requested"
]
},
"data": {
"type": "object",
"properties": {
"effect_id": {
"type": "string",
"format": "uuid"
},
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"action_version": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"effect_kind": {
"type": "string",
"enum": [
"none",
"transaction",
"gateway_inference",
"http",
"livekit",
"sip_dial",
"sip_transfer",
"sip_hangup",
"run_admission",
"gpu"
]
},
"node_id": {
"allOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 128
}
],
"nullable": true
},
"ordinal": {
"type": "integer",
"minimum": 0
},
"input_sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"effect_id",
"action_id",
"action_version",
"effect_kind",
"node_id",
"ordinal",
"input_sha256"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"action.decided"
]
},
"data": {
"type": "object",
"properties": {
"effect_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"effect_id"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"effect.sent"
]
},
"data": {
"type": "object",
"properties": {
"effect_id": {
"type": "string",
"format": "uuid"
},
"send_attempt": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"idempotency_key_sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"effect_id",
"send_attempt",
"idempotency_key_sha256"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"effect.settled"
]
},
"data": {
"type": "object",
"properties": {
"effect_id": {
"type": "string",
"format": "uuid"
},
"state": {
"type": "string",
"enum": [
"succeeded",
"failed",
"uncertain"
]
},
"receipt_sha256": {
"allOf": [
{
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
],
"nullable": true
},
"reason": {
"allOf": [
{
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
],
"nullable": true
},
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"action_version": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"effect_kind": {
"type": "string",
"enum": [
"none",
"transaction",
"gateway_inference",
"http",
"livekit",
"sip_dial",
"sip_transfer",
"sip_hangup",
"run_admission",
"gpu"
]
},
"node_id": {
"allOf": [
{
"type": "string",
"minLength": 1,
"maxLength": 128
}
],
"nullable": true
},
"ordinal": {
"allOf": [
{
"type": "integer",
"minimum": 0
}
],
"nullable": true
},
"send_attempts": {
"type": "integer",
"minimum": 0
}
},
"required": [
"effect_id",
"state",
"receipt_sha256",
"reason"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"knowledge.retrieved"
]
},
"data": {
"type": "object",
"properties": {
"pin_id": {
"type": "string",
"format": "uuid"
},
"generation_id": {
"type": "string",
"format": "uuid"
},
"chunks": {
"type": "integer",
"minimum": 0
}
},
"required": [
"pin_id",
"generation_id",
"chunks"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"recording.updated"
]
},
"data": {
"type": "object",
"properties": {
"state": {
"type": "string",
"enum": [
"pending",
"recording",
"processing",
"ready",
"partial",
"failed",
"not_required"
]
},
"artifactId": {
"type": "string"
},
"reason": {
"type": "string"
}
},
"required": [
"state"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"analysis.updated"
]
},
"data": {
"type": "object",
"properties": {
"state": {
"type": "string",
"enum": [
"pending",
"running",
"completed",
"failed",
"not_requested"
]
},
"evaluation_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"reason": {
"allOf": [
{
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
],
"nullable": true
}
},
"required": [
"state",
"evaluation_id",
"reason"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"publication.published"
]
},
"data": {
"type": "object",
"properties": {
"digest": {
"type": "string",
"pattern": "^sha256:[a-f0-9]{64}$"
},
"plan_schema_version": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"compiler_version": {
"type": "string",
"minLength": 1,
"maxLength": 64
},
"channels": {
"type": "array",
"items": {
"type": "string",
"enum": [
"cloud",
"phone"
]
},
"minItems": 1
},
"languages": {
"type": "array",
"items": {
"type": "string",
"enum": [
"en",
"es"
]
},
"minItems": 1
},
"published_by": {
"$ref": "#/components/schemas/PrincipalRef"
}
},
"required": [
"digest",
"plan_schema_version",
"compiler_version",
"channels",
"languages",
"published_by"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"publication.head_moved"
]
},
"data": {
"type": "object",
"properties": {
"from_version": {
"allOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 2147483647
}
],
"nullable": true
},
"to_version": {
"type": "integer",
"minimum": 0,
"maximum": 2147483647
},
"digest": {
"type": "string",
"pattern": "^sha256:[a-f0-9]{64}$"
},
"moved_by": {
"$ref": "#/components/schemas/PrincipalRef"
}
},
"required": [
"from_version",
"to_version",
"digest",
"moved_by"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.request.admitted"
]
},
"data": {
"type": "object",
"properties": {
"producer_kind": {
"type": "string",
"enum": [
"talos_session",
"talos_analysis",
"talos_cloud",
"test_caller",
"evaluation",
"knowledge",
"internal"
]
},
"selection_kind": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
},
"model_identity": {
"allOf": [
{
"$ref": "#/components/schemas/ModelIdentity"
}
],
"nullable": true
}
},
"required": [
"producer_kind",
"selection_kind",
"model_identity"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.attempt.rejected"
]
},
"data": {
"type": "object",
"properties": {
"ordinal": {
"type": "integer",
"minimum": 0
},
"target_identity": {
"$ref": "#/components/schemas/ModelIdentity"
},
"reasons": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
}
},
"required": [
"ordinal",
"target_identity",
"reasons"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.attempt.consumed"
]
},
"data": {
"type": "object",
"properties": {
"attempt_id": {
"type": "string",
"format": "uuid"
},
"ordinal": {
"type": "integer",
"minimum": 0
},
"model_identity": {
"$ref": "#/components/schemas/ModelIdentity"
}
},
"required": [
"attempt_id",
"ordinal",
"model_identity"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.attempt.finished"
]
},
"data": {
"type": "object",
"properties": {
"attempt_id": {
"type": "string",
"format": "uuid"
},
"status": {
"type": "integer"
},
"provider_request_id": {
"type": "string",
"minLength": 1,
"maxLength": 256,
"nullable": true
},
"measurement_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"latency_ms": {
"type": "integer",
"minimum": 0
}
},
"required": [
"attempt_id",
"status",
"provider_request_id",
"measurement_id",
"latency_ms"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.attempt.uncertain"
]
},
"data": {
"type": "object",
"properties": {
"attempt_id": {
"type": "string",
"format": "uuid"
},
"reason": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
}
},
"required": [
"attempt_id",
"reason"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"gateway.request.completed"
]
},
"data": {
"type": "object",
"properties": {
"status": {
"type": "integer"
},
"final_attempt_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
}
},
"required": [
"status",
"final_attempt_id"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"operation.applied"
]
},
"data": {
"type": "object",
"properties": {
"command": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
},
"state": {
"type": "string",
"pattern": "^[a-z][a-z0-9_.:-]{0,127}$"
},
"payload_sha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"command",
"state",
"payload_sha256"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"evaluation.recorded"
]
},
"data": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"manual",
"judge",
"analysis"
]
},
"rubric_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"rubric_version": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"score": {
"type": "number",
"minimum": 0,
"maximum": 1,
"nullable": true
}
},
"required": [
"kind",
"rubric_id",
"rubric_version",
"score"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"comparison.started"
]
},
"data": {
"type": "object",
"properties": {
"baseline": {
"$ref": "#/components/schemas/PublicationRef"
},
"candidate": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"baseline",
"candidate"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"comparison.case_settled"
]
},
"data": {
"type": "object",
"properties": {
"baseline": {
"$ref": "#/components/schemas/PublicationRef"
},
"candidate": {
"$ref": "#/components/schemas/PublicationRef"
},
"case_run_id": {
"type": "string",
"format": "uuid"
},
"verdict": {
"type": "string",
"enum": [
"candidate",
"baseline",
"tie",
"unscored"
]
}
},
"required": [
"baseline",
"candidate",
"case_run_id",
"verdict"
],
"additionalProperties": false
},
"sequence": {
"type": "integer",
"exclusiveMinimum": true,
"minimum": 0
},
"recorded_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"owner_id",
"environment",
"tenant_id",
"event_id",
"schema_version",
"subject",
"correlation_id",
"causation_id",
"producer",
"producer_version",
"occurred_at",
"privacy_class",
"idempotency_key",
"content",
"run",
"policy",
"type",
"data",
"sequence",
"recorded_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"owner_id": {
"type": "string",
"minLength": 1
},
"environment": {
"type": "string",
"minLength": 1
},
"tenant_id": {
"type": "string",
"format": "uuid"
},
"event_id": {
"type": "string",
"format": "uuid"
},
"schema_version": {
"type": "number",
"enum": [
1
]
},
"subject": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"run",
"gateway_request",
"publication",
"evaluation",
"comparison",
"operation",
"artifact",
"gpu_deployment",
"tenant",
"test_run"
]
},
"id": {
"type": "string",
"minLength": 1,
"maxLength": 256
}
},
"required": [
"kind",
"id"
],
"additionalProperties": false
},
"correlation_id": {
"type": "string",
"minLength": 1,
"maxLength": 256
},
"causation_id": {
"allOf": [
{
"type": "string",
"format": "uuid"
}
],
"nullable": true
},
"producer": {
"type": "string",
"enum": [
"talos",
"gateway",
"control-plane"
]
},
"producer_version": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"occurred_at": {
"type": "string",
"format": "date-time"
},
"privacy_class": {
"type": "string",
"enum": [
"operational",
"confidential"
]
},
"idempotency_key": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"content": {
"allOf": [
{
"$ref": "#/components/schemas/ContentRef"
}
],
"nullable": true
},
"run": {
"type": "object",
"properties": {
"run_id": {
"type": "string",
"format": "uuid"
},
"attempt_id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"publication": {
"$ref": "#/components/schemas/PublicationRef"
}
},
"required": [
"run_id",
"attempt_id",
"publication"
],
"additionalProperties": false,
"nullable": true
},
"policy": {
"type": "object",
"properties": {
"action_id": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"decision": {
"type": "string",
"enum": [
"allow",
"deny",
"unavailable"
]
},
"reason": {
"type": "string",
"maxLength": 128,
"nullable": true
},
"policy_version": {
"type": "string",
"pattern": "^[a-f0-9]{12}$"
}
},
"required": [
"action_id",
"decision",
"reason",
"policy_version"
],
"additionalProperties": false,
"nullable": true
},
"type": {
"type": "string",
"enum": [
"comparison.completed"
]
},
"data": {
"type": "object",
"properties": {
"baseline": {
"$ref": "#/components/schemas/PublicationRef"
},
"candidate": {
"$ref": "#/components/schemas/PublicationRef"
},
"summary": {
"type": "object",
"properties": {
"cases": {
"type": "integer"
},
"candidate_wins": {
"type": "integer"
},
"baseline_wins": {
"type": "integer"
},
"ties": {
"type": "integer"
},
[...]
